
Java Client - Task #5313

Story # 6850 (New): automate Java Client releases 

enable remote deployment of product packages from Hudson / Jenkins

2014-05-05 19:22 - Rob Nahf

Status: New Start date: 2014-09-25

Priority: Normal Due date: 2014-09-25

Assignee: Rob Nahf % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Story Points:    

Description

Currently, deployment of packages to releases.dataone.org is done manually.

Install the ArtifactDeployer plugin (https://wiki.jenkins-ci.org/display/JENKINS/ArtifactDeployer+Plugin)

on Jenkins (and Hudson, perhaps)

and configure the d1_libclient_java stable job to use it.

History

#1 - 2014-09-25 17:42 - Dave Vieglais

- Due date set to 2014-09-25

- Target version set to Maintenance Backlog

- Start date set to 2014-09-25

#2 - 2015-02-11 20:34 - Rob Nahf

- Project changed from Infrastructure to Java Client

- Parent task set to #6850

- Category deleted (d1_libclient_java)

- Target version deleted (Maintenance Backlog)
